Intrusion Prevention

Apple.macOS.SceneKit.qlmanage.deaElement.Buffer.Overflow

Description

This indicates an attack attempt against a Buffer Overflow vulnerability in Apple SceneKit.
The vulnerability is caused by an error when the vulnerable software handles a malformed "dae" file. A remote attacker may be able to exploit this to execute arbitrary code within the context of the application, via a crafted "dae" file.

Affected Products

Apple OS X before 10.10.5

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Refer to the vendor's advisory for updates:
https://support.apple.com/kb/HT205031

CVE References

CVE-2015-3783